package com.unis.module.coding.controller.admin.dwxx.vo;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.math.BigDecimal;
import java.time.LocalDateTime;
import java.util.List;

@Schema(description = "管理后台 - 单位信息 Response VO")
@Data
@ExcelIgnoreUnannotated
public class DwAndKqRespVO {

    @Schema(description = "主键", requiredMode = Schema.RequiredMode.REQUIRED, example = "30392")
    private Long id;

    @Schema(description = "单位名称")
    private String dwmc;

    @Schema(description = "统一信用代码")
    private String tyxydm;

    @Schema(description = "法定代表人")
    private String fddbr;

    @Schema(description = "身份证号")
    private String sfzh;

    @Schema(description = "联系方式")
    private String lxfs;

    @Schema(description = "注册日期")
    private LocalDateTime zcrq;

    @Schema(description = "邮政编码")
    private String yzbm;

    @Schema(description = "注册地址")
    private String zcdz;

    @Schema(description = "企业性质")
    private String qyxz;

    @Schema(description = "上传营业执照")
    private String license;

    @Schema(description = "单位下库区信息列表")
    private List<Kq> kqList;

    // 内部子类，包含单位下库区信息
    @Data
    @Schema(description = "单位下库区信息")
    public static class Kq {
        @Schema(description = "库区ID")
        private Long kqId;

        @Schema(description = "库区名称")
        private String kqmc;

        @Schema(description = "库区编码")
        private String kqdm;

        @Schema(description = "邮政编码")
        private String yzbm;

        @Schema(description = "省")
        private String sheng;

        @Schema(description = "市")
        private String shi;

        @Schema(description = "县")
        private String xian;

        @Schema(description = "省名称")
        private String shengName;

        @Schema(description = "市名称")
        private String shiName;

        @Schema(description = "县名称")
        private String xianName;

        @Schema(description = "具体地址")
        private String jtdz;

        @Schema(description = "库区负责人")
        private String kqfzr;

        @Schema(description = "联系电话")
        private String lxdh;

        @Schema(description = "占地面积")
        private BigDecimal zdmj;

        @Schema(description = "库区状态")
        private String kqzt;

        @Schema(description = "租仓参考价(元)")
        private Integer zcckj;

        @Schema(description = "委托保管参考价(元/吨)")
        private Integer wtbgckj;

        @Schema(description = "经度")
        private BigDecimal jd;

        @Schema(description = "纬度")
        private BigDecimal wd;

        @Schema(description = "上传库区图id")
        private String resid;
    }
}